### Function

# Gimp context_set_sample_transparent

since: 2.8

#### Declaration [src]

    gboolean
    gimp_context_set_sample_transparent (
      gboolean sample_transparent
    )

#### Description [src]

Set the sample transparent setting.

Modifies the sample transparent setting. If an operation depends on the colors of the pixels present in a drawable, like when doing a seed fill, this setting controls whether transparency is considered to be a unique selectable color. When this setting is TRUE, transparent areas can be selected or filled.

This setting affects the following procedures: gimp_image_select_color(), gimp_image_select_contiguous_color(), gimp_drawable_edit_bucket_fill().

Available since: 2.8

#### Parameters

`sample_transparent`

  Type: `gboolean`

  The sample transparent setting.

#### Return value

Type: `gboolean`

TRUE on success.